Subject: Re: [PATCH] [POWERPC] 8xx: mpc885ads pcmcia support

From: Vitaly Bordug <[email-masked]>
Date: Sun, 6 May 2007 13:48:50 +0400

On Sun, 6 May 2007 12:04:27 +1000
David Gibson wrote:

> On Sun, May 06, 2007 at 03:04:14AM +0200, Segher Boessenkool wrote:
> > > +		pcmcia@0080 {
> > 
> > > +			#interrupt-cells = <1>;
> > 
> > > +			interrupt-parent = <ff000000>;
> > > +			interrupts = <d 1>;
> > > +		};
> > 
> > Since this node's children's interrupt representation
> > is different from the node's parent's, you need an
> > interrupt-map in here.  You also forgot "#address-cells"
> > and I think you need "ranges" too?
> 
> And we should use a reference, instead of an implicit phandle for the
> interrupt-parent.
> 
I  have one more patch for this - I think it makes sense to append it to the series...
Thinking it would be better to do the phandles->labels transition in one step for all the relevant
stuff in dts as well.  

-- 
Sincerely, Vitaly